diff mbox series

selftests: ublk: fix test_stripe_04

Message ID 20250404001849.1443064-1-ming.lei@redhat.com (mailing list archive)
State New
Headers show
Series selftests: ublk: fix test_stripe_04 | expand

Commit Message

Ming Lei April 4, 2025, 12:18 a.m. UTC
Commit 57ed58c13256 ("selftests: ublk: enable zero copy for stripe target")
added test entry of test_stripe_04, but forgot to add the test script.

So fix the test by adding the script file.

Reported-by: Uday Shankar <ushankar@purestorage.com>
Signed-off-by: Ming Lei <ming.lei@redhat.com>
---
 .../testing/selftests/ublk/test_stripe_04.sh  | 24 +++++++++++++++++++
 1 file changed, 24 insertions(+)
 create mode 100755 tools/testing/selftests/ublk/test_stripe_04.sh

Comments

Jens Axboe April 4, 2025, 2:19 a.m. UTC | #1
On Fri, 04 Apr 2025 08:18:49 +0800, Ming Lei wrote:
> Commit 57ed58c13256 ("selftests: ublk: enable zero copy for stripe target")
> added test entry of test_stripe_04, but forgot to add the test script.
> 
> So fix the test by adding the script file.
> 
> 

Applied, thanks!

[1/1] selftests: ublk: fix test_stripe_04
      (no commit info)

Best regards,
Jens Axboe April 4, 2025, 12:37 p.m. UTC | #2
On 4/3/25 9:46 PM, Ming Lei wrote:
> On Thu, Apr 03, 2025 at 08:19:57PM -0600, Jens Axboe wrote:
>>
>> On Fri, 04 Apr 2025 08:18:49 +0800, Ming Lei wrote:
>>> Commit 57ed58c13256 ("selftests: ublk: enable zero copy for stripe target")
>>> added test entry of test_stripe_04, but forgot to add the test script.
>>>
>>> So fix the test by adding the script file.
>>>
>>>
>>
>> Applied, thanks!
>>
>> [1/1] selftests: ublk: fix test_stripe_04
>>       (no commit info)
> 
> Hi Jens,
> 
> Commit 57ed58c13256 ("selftests: ublk: enable zero copy for stripe target")
> is in io_uring-6.15, so this patch should be merged to io_uring-6.15 instead
> of block-6.15.

Both branches already went to Linus yesterday, which is why this one is
in the block branch now as there are no dependencies left.
diff mbox series

Patch

diff --git a/tools/testing/selftests/ublk/test_stripe_04.sh b/tools/testing/selftests/ublk/test_stripe_04.sh
new file mode 100755
index 000000000000..1f2b642381d1
--- /dev/null
+++ b/tools/testing/selftests/ublk/test_stripe_04.sh
@@ -0,0 +1,24 @@ 
+#!/bin/bash
+# SPDX-License-Identifier: GPL-2.0
+
+. "$(cd "$(dirname "$0")" && pwd)"/test_common.sh
+
+TID="stripe_04"
+ERR_CODE=0
+
+_prep_test "stripe" "mkfs & mount & umount on zero copy"
+
+backfile_0=$(_create_backfile 256M)
+backfile_1=$(_create_backfile 256M)
+dev_id=$(_add_ublk_dev -t stripe -z -q 2 "$backfile_0" "$backfile_1")
+_check_add_dev $TID $? "$backfile_0" "$backfile_1"
+
+_mkfs_mount_test /dev/ublkb"${dev_id}"
+ERR_CODE=$?
+
+_cleanup_test "stripe"
+
+_remove_backfile "$backfile_0"
+_remove_backfile "$backfile_1"
+
+_show_result $TID $ERR_CODE